List All Projects
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"description": "Dev project",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "DPC Etl"
}
],
"size": 50,
"total": 472
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Projects
List All Projects
An endpoint for listing projects.
GET
/
v1
/
projects
List All Projects
Authorizations
a valid bearer token
Query Parameters
Response
Projects have been retrieved
Was this page helpful?
⌘I
